package com.xxx.test;

import java.util.Date;

import org.apache.commons.httpclient.HttpClient;
import org.apache.commons.httpclient.HttpMethod;
import org.apache.commons.httpclient.methods.GetMethod;
import org.infinispan.Cache;
import org.infinispan.manager.DefaultCacheManager;
import org.infinispan.manager.EmbeddedCacheManager;

public class InfinispanTest {

	public static void main(String[] args) throws Exception {
		String myIp = "xxx.xxx.xxx.xxx";
		if (System.getProperty("jgroups.bind_addr", "").isEmpty()) {
			System.setProperty("jgroups.bind_addr", myIp);
			System.setProperty("jgroups.tcp.bind_addr", myIp);
		}

		EmbeddedCacheManager mgr = new DefaultCacheManager("testconfig.xml");
		Cache<String, String>cache = mgr.getCache("TestCache");
		try {
			cache.put("c", "start");
		} catch (Exception x ) {}
		while (true) {
			System.out.println("*************");
			System.out.println("Before update: " + cache.get("c"));
			String d = myIp +  " " + new Date().toString();
			try {
				cache.put("c", d);
			} catch (Exception x) {}
			System.out.println(" After update: " + cache.get("c"));
			System.out.println("*************");
			Thread.sleep(1000);
		}
	}
}
